import type { WebMethodModules } from './types.js';
type WebMethodParsedRequest = {
    filename: string;
    methodname: string;
};
export type WebMethodClient = {
    parseRequest(request: Request): Promise<WebMethodParsedRequest>;
    processRequest(request: Request, devMode?: boolean): Promise<{
        hasError: true;
        error: unknown;
        response: Response;
    } | {
        hasError: false;
        response: Response;
    }>;
};
export declare function createClient(webMethods: WebMethodModules): {
    parseRequest(request: Request): Promise<{
        filename: string;
        methodname: string;
    }>;
    processRequest(request: Request, devMode?: boolean | undefined): Promise<{
        response: Response;
        hasError: false;
        error?: undefined;
    } | {
        response: Response;
        error: unknown;
        hasError: true;
    }>;
};
export {};
