export const urlRegex = /\/_webMethods\/(.+\..+)\/(.+\..+)/;
// /_webMethods/backend/my-module.web.js/multiply.ajax
export function extractUrlParts(url) {
    const parts = urlRegex.exec(url);
    if (parts) {
        const [, filename, methodname] = parts;
        if (filename && methodname) {
            return {
                filename,
                methodname: methodname.replace('.ajax', ''),
            };
        }
    }
}
export function isRequestBodyValid(body) {
    return !!body && typeof body === 'object' && Array.isArray(body);
}
export const productionErrorMessage = 'Error: Unable to handle the request. Contact the site administrator or view site monitoring logs for more information.';
