"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callWebMethod = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
exports.callWebMethod = (0, rest_modules_1.createRESTModule)((restModuleOpts) => {
    return async ({ baseURL, filename, method, args }) => {
        const response = await restModuleOpts.fetchWithAuth(`${baseURL}/_webMethods/${filename}/${method}.ajax`, {
            body: JSON.stringify(args),
            method: 'POST',
        });
        const json = await response.json();
        // request failed
        if (json.exception === true) {
            throw json.result;
        }
        return json.result;
    };
});
