import type { Permissions } from './permissions.js';
type Method<Args extends any[], Return> = (...args: Args) => Return;
export type WebMethod<Args extends any[], Return> = Method<Args, Promise<Awaited<Return>>> & {
    permission: Permissions;
};
export type WebModule = Record<string, WebMethod<any[], any>>;
export type WebMethodModules = Record<string, () => Promise<WebModule>>;
export {};
