"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.productionErrorMessage = exports.urlRegex = void 0;
exports.extractUrlParts = extractUrlParts;
exports.isRequestBodyValid = isRequestBodyValid;
exports.urlRegex = /\/_webMethods\/(.+\..+)\/(.+\..+)/;
// /_webMethods/backend/my-module.web.js/multiply.ajax
function extractUrlParts(url) {
    const parts = exports.urlRegex.exec(url);
    if (parts) {
        const [, filename, methodname] = parts;
        if (filename && methodname) {
            return {
                filename,
                methodname: methodname.replace('.ajax', ''),
            };
        }
    }
}
function isRequestBodyValid(body) {
    return !!body && typeof body === 'object' && Array.isArray(body);
}
exports.productionErrorMessage = 'Error: Unable to handle the request. Contact the site administrator or view site monitoring logs for more information.';
